> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all rubros (business sectors)

> Operacion: Get all rubros (business sectors).



## OpenAPI

````yaml /generated/specs/settings.json get /api/v1/rubro/all
openapi: 3.0.0
info:
  title: Raul API - Configuraciones
  description: Catalogos, tipos, plantillas y configuraciones maestras del sistema.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags:
  - name: Catalogs
    description: Catálogos IMEI y Chip
paths:
  /api/v1/rubro/all:
    get:
      tags:
        - Rubro
      summary: Get all rubros (business sectors)
      description: 'Operacion: Get all rubros (business sectors).'
      operationId: RubroController_getAllRubros
      parameters: []
      responses:
        '200':
          description: List of rubros
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````